"""Strongly Stability Preserving third-order RK ODE timestepper."""

from __future__ import division

__copyright__ = "Copyright (C) 2009 Scott Field"

__license__ = """
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
"""



import numpy
from hedge.timestep.runge_kutta import SSP3TimeStepper as SSPRK3TimeStepperBase



class SSPRK3TimeStepper(SSPRK3TimeStepperBase):
    def __init__(self, *args, **kwargs):
        from warnings import warn
        warn("hedge.timestep.ssprk3 is deprecated. Use the generic SSP support "
                "in hedge.timestep.runge_kutta instead.")

        SSPRK3TimeStepperBase.__init__(self, *args, **kwargs)
